﻿<?php
//M2CAddOrder API
//用户通过调用该方法添加共享出库单，添加成功返回出库订单号
//

require 'auth.php';

$request = array
(
	'request' => array
	(
		'Token' => $token,	//系统验证字符串
		'UserKey' => $user_key,	//第三方验证字符串
		'MessageID' => '34837489M2CAO',	//客户请求号（可选项）
		'Submit' => FALSE,		//是否提审，是则为true，否则为false
		'Version' => 'V2.1',	//（可选项）
		/* 出库单详细信息 */
		'OrderDetail' => array
		(
			//'Remark' => 'oo test',	//出库单备注信息
			'State' => 'Initial',		//订单状态，枚举类型，取值范围为Initial（初始订单）、Submitted（已提交）、Examined（已出货）
										//Pending（等待发货）、Shipped（运输途中）、Dispatching（货物调度中）、Delivered（已交货）
			'Warehouse' => 'US',	//出库仓库代码，枚举类型,取值范围为US（美国）、AU（澳大利亚）、UK（英国）、MA（曼城）
			/* 装箱清单 */
			'PackageList' => array	
			(
				/* 一张出库单可包括多个包裹的信息，$request['request']['OrderDetail']['PackageList']['0']即代表第一个包裹的信息 */
				/* 同理，$request['request']['OrderDetail']['PackageList']['1']即代表第二个包裹的信息 */
				'0' => array
				(
					'State' => 'Initial',	//订单状态，枚举类型，取值范围为Initial（初始订单）、Sutmitted（已提交）、Examined（已出货）
											//Pending（等待发货）、Shipped（运输途中）、Dispatching（货物调度中）、Delivered（已交货）				
					//'Custom' => 'test Custom XS1112003251',	//客户参考号
					//'Sign' => '123',		//数据库其字段名为package_sign
					//'Remark' => 'API test',		//备注信息
					//'Services' => 'USPS',	//物流商
					'Shipping' => 'None',	//物流方式,枚举类型，取值范围为Royalmail、DHL（敦豪速递公司）、UPS、USPS（美国邮政）
											//AuPost、Parcelforce、Fedex（美国联邦快递公司）、DPD、TNT、DePost
					'ShippingV2_1' => 'USRUS',	//物流方式V2.1，系统中称为“服务”，取值范围为USNUS(美国邮政本地非挂号)、
											//USRUS(美国邮政本地挂号)、USNIU(美国邮政国际派送)、USNLE(美国本地经济型派送非挂号)、
											//USRLE(美国本地经济型派送挂号)、USRLS(美国本地标准型派送)
											//USRLP(美国本地快捷型派送)、USRIS(美国国际标准型派送)
					//'TrackingNumber' => '67896786786',
				/* 产品信息列表 */
					'ProductList' => array
					(
						/* 一个包裹可包含多个产品，$request['request']['OrderDetail']['PackageList']['0']['ProductList']['0']即代表第一个包裹中的第一个产品的信息 */
						/* 同理，$request['request']['OrderDetail']['PackageList']['0']['ProductList']['1']即代表第一个包裹种的第二个产品的信息 */
						'0' => array
						(
							'Quantity' => '1',	//产品数量
							'SKU' => 'CB00043',	//产品名称
							'DeclareName' => 'GB9210', //申报名称
                            'DeclareValue' => '50',  //申报价值
						),
						/*
						'1' => array
						(
							'Quantity' => '1',	//产品数量
							'SKU' => 'floor lamp',	//产品编号
						)
						*/
					),
					/* 送货地址 */
					'ShipToAddress' => array
					(
						'Company' => 'ssfes',
						'City' => 'San Francisco',	//城市	
						'Contact' => 'Claudia Kim',		//联系人
						'Country' => 'United States',	//国家
						'Email' => 'mario@mkkm.org',	//电子邮箱
						'Phone' => '',	//手机
						'PostCode' => '18914',	//邮政编码,对格式有验证，必须为真实的邮政编码！
						'Province' => 'California',	//省份
						'Street1' => 'Crocheron Ave, Apt 403',	//街道1
						'Street2' => 'Flushing, 11358-2334'		//街道2
					),
				)
			),
		),
	)
);

echo "<pre>";
print_r($request);

$result = $soap_client->M2CAddOrder($request);

print_r($result);
echo "</pre>";
?>
