﻿<?php
//ProductAddModel API
//用户通过调用该方法来添加单个产品型号的信息。
//

require 'auth.php';

$request = array
(
	'request' => array
	(
		'Token' => $token,	//系统验证字符串
		'UserKey' => $user_key,	//第三方验证字符串
		//'CustomUserKey' => '', //第三方自定义验证字符串
		//'MessageID' => '1323748018',	//客户请求号（可不填）
		//'Version' => 'V2.0',
		'ModelDetail' => array
		(		
			'Catetory' => '3C',	//产品类别
			'Custom' => 'iphone 4S',	//客户参考号
			'DeclareName' => 'iphone 4S',	//申报名称,可选
			'DeclareValue' => '399.99',	//申报价值（币种为USD），可选
			'Description' => '苹果手机',	//产品描述，可选
			/* 包装规格  */
			'Packing' => array
						(
							'Length' => 15,	//长（单位：厘米）
							'Width' => 51,	//宽（单位：厘米）
							'Height' => 12,	//高（单位：厘米）
						),
			'ProductFlag' => 'Special',	//产品价值种类，Normal为一般产品，Special为特殊产品
			'Weight' => '100',
			'Warning' => '0',	//库存警报
			'SKU' => 'iphone 4S',	//产品名称
		)
	)
);

$result = $soap_client->ProductAddModel($request);
echo "<pre>";
print_r($result);
echo "</pre>";
?>
